Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class ExtendedPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.gmf.runtime.common.ui.services.properties.extended.ExtendedPropertyDescriptor

All Implemented Interfaces:
  ICompositeSourcePropertyDescriptor, IExtendedPropertyDescriptor, IPropertyDescriptor

Direct Known Subclasses:
  ExtendedComboboxPropertyDescriptor, ExtendedTextPropertyDescriptor, PropertyPagePropertyDescriptor

    public class ExtendedPropertyDescriptor

extends PropertyDescriptor
implements IExtendedPropertyDescriptor

Constructor Summary
`ExtendedPropertyDescriptor(java.lang.Object id, java.lang.String displayName)`

Method Summary
`java.lang.Object` `getBlank()` This method returns a blank value for a cell.
`java.lang.String` `getDisplayName()`
`IPropertySource` `getPropertySource()` Retrieve `IPropertySource`
`java.lang.Object` `getPropertyValue()` Return a value of the the property represented by this descriptor
`boolean` `isCompatibleWith(IPropertyDescriptor anotherProperty)`
`boolean` `isDirty()` Retrieve the boolean isDirty flag.
`boolean` `isReadOnly()` Return read-only status - true if editing of the property is not allowed, false otherwise
`void` `resetPropertyValue()` This method is used by the property source to reset the property that this property descriptor maps to.
`void` `setDirtyFlag(boolean dirty)`
`void` `setDisplayName(java.lang.String displayName)` Sets the display name
`void` `setPropertySource(IPropertySource propertySource)` Sets specified `IPropertySource`
`void` `setPropertyValue(java.lang.Object value)` This method is used by the property source to set the property that this property descriptor maps to.
`void` `setReadOnly(boolean read)` Set read-only to true if the property is read-only, or to false otherwise

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`createPropertyEditor, getAlwaysIncompatible, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getValidator, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.extended.IExtendedPropertyDescriptor
`setValidator`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`setCategory`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`createPropertyEditor, getCategory, getDescription, getFilterFlags, getHelpContextIds, getId, getLabelProvider`

Constructor Detail

### ExtendedPropertyDescriptor

    public ExtendedPropertyDescriptor(java.lang.Object id,
                                      java.lang.String displayName)

Parameters:
  `id` -
  `displayName` -

Method Detail

### getPropertySource

    public IPropertySource getPropertySource()

  Description copied from interface: `IExtendedPropertyDescriptor`
  Retrieve `IPropertySource`

  Specified by:
    `getPropertySource` in interface `IExtendedPropertyDescriptor`
  Returns:
    an instance of `IPropertySource`
  See Also:
    `IExtendedPropertyDescriptor.getPropertySource()`

### isDirty

    public boolean isDirty()

  Description copied from interface: `IExtendedPropertyDescriptor`
  Retrieve the boolean isDirty flag.

  Specified by:
    `isDirty` in interface `IExtendedPropertyDescriptor`
  Returns:
    value of isDirty flag
  See Also:
    `IExtendedPropertyDescriptor.isDirty()`

### setDirtyFlag

    public void setDirtyFlag(boolean dirty)

  Specified by:
    `setDirtyFlag` in interface `IExtendedPropertyDescriptor`
  See Also:
    `IExtendedPropertyDescriptor.setDirtyFlag(boolean)`

### setPropertySource

    public void setPropertySource(IPropertySource propertySource)

  Description copied from interface: `IExtendedPropertyDescriptor`
  Sets specified `IPropertySource`

  Specified by:
    `setPropertySource` in interface `IExtendedPropertyDescriptor`
  Parameters:
    `propertySource` - an instance of `IPropertySource`
  See Also:
    `IExtendedPropertyDescriptor.setPropertySource(org.eclipse.ui.views.properties.IPropertySource)`

### getBlank

    public java.lang.Object getBlank()

  Description copied from interface: `IExtendedPropertyDescriptor`
  This method returns a blank value for a cell.

  Specified by:
    `getBlank` in interface `IExtendedPropertyDescriptor`
  Returns:
    a blank value for a cell
  See Also:
    `IExtendedPropertyDescriptor.getBlank()`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  Return read-only status - true if editing of the property is not allowed, false otherwise

  Specified by:
    `isReadOnly` in interface `ICompositeSourcePropertyDescriptor`
  Returns:
    - read-only status - true if editing of the property is not allowed, false otherwise
  See Also:
    `ICompositeSourcePropertyDescriptor.isReadOnly()`

### setReadOnly

    public void setReadOnly(boolean read)

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  Set read-only to true if the property is read-only, or to false otherwise

  Specified by:
    `setReadOnly` in interface `ICompositeSourcePropertyDescriptor`
  Parameters:
    `read` - - true if the property is read-only, or to false otherwise
  See Also:
    `ICompositeSourcePropertyDescriptor.setReadOnly(boolean)`

### setPropertyValue

    public void setPropertyValue(java.lang.Object value)

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  This method is used by the property source to set the property that this property descriptor maps to.

  Specified by:
    `setPropertyValue` in interface `ICompositeSourcePropertyDescriptor`
  See Also:
    `ICompositeSourcePropertyDescriptor.setPropertyValue(java.lang.Object)`

### isCompatibleWith

    public boolean isCompatibleWith(IPropertyDescriptor anotherProperty)

  Specified by:
    `isCompatibleWith` in interface `IPropertyDescriptor`
  Overrides:
    `isCompatibleWith` in class `PropertyDescriptor`
  See Also:
    `IPropertyDescriptor.isCompatibleWith(org.eclipse.ui.views.properties.IPropertyDescriptor)`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `IPropertyDescriptor`
  Overrides:
    `getDisplayName` in class `PropertyDescriptor`
  See Also:
    `IPropertyDescriptor.getDisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Description copied from interface: `IExtendedPropertyDescriptor`
  Sets the display name

  Specified by:
    `setDisplayName` in interface `IExtendedPropertyDescriptor`
  Parameters:
    `displayName` - the display name
  See Also:
    `IExtendedPropertyDescriptor.setDisplayName(java.lang.String)`

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  Return a value of the the property represented by this descriptor

  Specified by:
    `getPropertyValue` in interface `ICompositeSourcePropertyDescriptor`
  Returns:
    - a value of this property
  See Also:
    `ICompositeSourcePropertyDescriptor.getPropertyValue()`

### resetPropertyValue

    public void resetPropertyValue()

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  This method is used by the property source to reset the property that this property descriptor maps to.

  Specified by:
    `resetPropertyValue` in interface `ICompositeSourcePropertyDescriptor`
  See Also:
    `ICompositeSourcePropertyDescriptor.resetPropertyValue()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.